/*
 Test scope rules
 */
#include <stdio.h>

int v=1;
int *pv=&v;

int foo(int v);
int bar(int x);

int main(int argc, char *argv[]){
	int v=2;
	int i;
	printf("%s %d: v=%d\n",__FUNCTION__,__LINE__,v);
	printf("%s %d: v=%d (*pv)\n",__FUNCTION__,__LINE__,*pv);
	for(i=0; i<3; i++){
		int v=3;
		printf("%s %d: v=%d\n",__FUNCTION__,__LINE__,v);
		v=v+5;
		printf("%s %d: v=%d\n",__FUNCTION__,__LINE__,v);
	}
	printf("%s %d: v=%d\n",__FUNCTION__,__LINE__,v);
	i=bar(foo(4));
	return i;
	printf("%s %d: v=%d\n",__FUNCTION__,__LINE__,v);
}

int bar(int x){
	printf("%s %d: v=%d\n",__FUNCTION__,__LINE__,v);
	return v+x;
}

int foo(int v){
	printf("%s %d: v=%d\n",__FUNCTION__,__LINE__,v);
	return -v;
}
